Subject: Re: [Fot] trans fluif

From: Yellow04 <[email-masked]>
Date: Sat, 11 May 2013 17:20:25 -0400

Before I ponied up for the billet bottom end, I ran an OD in my race car. I tried a couple varieties of GL4 and 5, but never overcame the problem of the OD engaging sluggishly and then not at all on a hard, hot run. I believe I was frothing the oil at big rpm. I was about to put Redline in and be done with it, but I called Moldex instead.

It was suggested to me to run non-detergent 30 weight oil in a street OD box, and it works great. When I rebuilt the race prepped OD box this Spring  to sell in the old yellow car, I went to Napa and bought the same cheap oil that has served me well on the street, and ran a weekend at VIR. Shifted perfectly, and the OD worked perfectly. 

I change it every race weekend because that gives me the ability to take a close look at the oil, giving me a good read on the health of the box. Redline oil is way too expensive for that!

Sent from my Verizon Wireless smartphone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive